> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Generates content update previews for a given shipment and set of intended updates.

POST https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/contentUpdatePreviews
Content-Type: application/json

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/generate-shipment-content-update-previews

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.
- `shipmentId` (string, required) — Identifier of a shipment.

### Body (application/json)

This endpoint expects a GenerateShipmentContentUpdatePreviewsRequest.

- `boxes` (list of BoxUpdateInput, required) — A list of boxes that will be present in the shipment after the update.
- `items` (list of ItemInput, required) — A list of all items that will be present in the shipment after the update.

## Response

### 202

Accepted — operation submitted asynchronously.

- `operationId` (string, required) — UUID for the given operation.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### BoxUpdateInput

Input information for updating a box.

- `contentInformationSource` (enum, required) — Indication of how box content is meant to be provided.
  - Allowed values: `BOX_CONTENT_PROVIDED`, `MANUAL_PROCESS`, `BARCODE_2D`
- `dimensions` (Dimensions, required) — Measurement of a package's dimensions.
- `quantity` (integer, required) — The number of containers where all other properties like weight or dimensions are identical.
- `weight` (Weight, required) — The weight of a package.
- `items` (list of ItemInput, optional) — The items and their quantity in the box. This must be empty if the box `contentInformationSource` is `BARCODE_2D` or `MANUAL_PROCESS`.
- `packageId` (string, optional) — Primary key to uniquely identify a Box Package. Provide to update an existing box; omit to add a new box. Any existing packageIds not provided will be treated as to-be-removed.

### ItemInput

Defines an item's input parameters.

- `labelOwner` (enum, required) — Specifies who will label the items. Options include `SELLER` and `NONE`.
  - Allowed values: `SELLER`, `NONE`
- `msku` (string, required) — The merchant SKU, a merchant-supplied identifier of a specific SKU.
- `prepOwner` (enum, required) — The owner of the preparations, if special preparations are required.
  - Allowed values: `SELLER`, `NONE`
- `quantity` (integer, required) — The number of units of the specified MSKU that will be shipped.
- `expiration` (string, optional) — The expiration date of the MSKU. In ISO 8601 date format with pattern `YYYY-MM-DD`. Items with the same MSKU but different expiration dates cannot go into the same box.
- `manufacturingLotCode` (string, optional) — The manufacturing lot code.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### Dimensions

Measurement of a package's dimensions.

- `height` (double, required) — The height of a package.
- `length` (double, required) — The length of a package.
- `width` (double, required) — The width of a package.
- `unitOfMeasurement` (enum, required) — Unit of linear measure.
  - Allowed values: `IN`, `CM`

### Weight

The weight of a package.

- `unit` (enum, required) — Unit of the weight being measured.
  - Allowed values: `LB`, `KG`
- `value` (double, required) — Value of a weight.

## Examples

**Request**

```json
{
  "boxes": [
    {
      "contentInformationSource": "BOX_CONTENT_PROVIDED",
      "dimensions": {
        "height": 1.1,
        "length": 1.1,
        "width": 1.1,
        "unitOfMeasurement": "IN"
      },
      "quantity": 1,
      "weight": {
        "unit": "LB",
        "value": 1.1
      }
    }
  ],
  "items": [
    {
      "labelOwner": "SELLER",
      "msku": "string",
      "prepOwner": "SELLER",
      "quantity": 1
    }
  ]
}
```

**Response**

```json
{
  "operationId": "string"
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews"

payload = {
    "boxes": [
        {
            "contentInformationSource": "BOX_CONTENT_PROVIDED",
            "dimensions": {
                "height": 1.1,
                "length": 1.1,
                "width": 1.1,
                "unitOfMeasurement": "IN"
            },
            "quantity": 1,
            "weight": {
                "unit": "LB",
                "value": 1.1
            }
        }
    ],
    "items": [
        {
            "labelOwner": "SELLER",
            "msku": "string",
            "prepOwner": "SELLER",
            "quantity": 1
        }
    ]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"boxes":[{"contentInformationSource":"BOX_CONTENT_PROVIDED","dimensions":{"height":1.1,"length":1.1,"width":1.1,"unitOfMeasurement":"IN"},"quantity":1,"weight":{"unit":"LB","value":1.1}}],"items":[{"labelOwner":"SELLER","msku":"string","prepOwner":"SELLER","quantity":1}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews"

	payload := strings.NewReader("{\n  \"boxes\": [\n    {\n      \"contentInformationSource\": \"BOX_CONTENT_PROVIDED\",\n      \"dimensions\": {\n        \"height\": 1.1,\n        \"length\": 1.1,\n        \"width\": 1.1,\n        \"unitOfMeasurement\": \"IN\"\n      },\n      \"quantity\": 1,\n      \"weight\": {\n        \"unit\": \"LB\",\n        \"value\": 1.1\n      }\n    }\n  ],\n  \"items\": [\n    {\n      \"labelOwner\": \"SELLER\",\n      \"msku\": \"string\",\n      \"prepOwner\": \"SELLER\",\n      \"quantity\": 1\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"boxes\": [\n    {\n      \"contentInformationSource\": \"BOX_CONTENT_PROVIDED\",\n      \"dimensions\": {\n        \"height\": 1.1,\n        \"length\": 1.1,\n        \"width\": 1.1,\n        \"unitOfMeasurement\": \"IN\"\n      },\n      \"quantity\": 1,\n      \"weight\": {\n        \"unit\": \"LB\",\n        \"value\": 1.1\n      }\n    }\n  ],\n  \"items\": [\n    {\n      \"labelOwner\": \"SELLER\",\n      \"msku\": \"string\",\n      \"prepOwner\": \"SELLER\",\n      \"quantity\": 1\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews")
  .header("Content-Type", "application/json")
  .body("{\n  \"boxes\": [\n    {\n      \"contentInformationSource\": \"BOX_CONTENT_PROVIDED\",\n      \"dimensions\": {\n        \"height\": 1.1,\n        \"length\": 1.1,\n        \"width\": 1.1,\n        \"unitOfMeasurement\": \"IN\"\n      },\n      \"quantity\": 1,\n      \"weight\": {\n        \"unit\": \"LB\",\n        \"value\": 1.1\n      }\n    }\n  ],\n  \"items\": [\n    {\n      \"labelOwner\": \"SELLER\",\n      \"msku\": \"string\",\n      \"prepOwner\": \"SELLER\",\n      \"quantity\": 1\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews', [
  'body' => '{
  "boxes": [
    {
      "contentInformationSource": "BOX_CONTENT_PROVIDED",
      "dimensions": {
        "height": 1.1,
        "length": 1.1,
        "width": 1.1,
        "unitOfMeasurement": "IN"
      },
      "quantity": 1,
      "weight": {
        "unit": "LB",
        "value": 1.1
      }
    }
  ],
  "items": [
    {
      "labelOwner": "SELLER",
      "msku": "string",
      "prepOwner": "SELLER",
      "quantity": 1
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"boxes\": [\n    {\n      \"contentInformationSource\": \"BOX_CONTENT_PROVIDED\",\n      \"dimensions\": {\n        \"height\": 1.1,\n        \"length\": 1.1,\n        \"width\": 1.1,\n        \"unitOfMeasurement\": \"IN\"\n      },\n      \"quantity\": 1,\n      \"weight\": {\n        \"unit\": \"LB\",\n        \"value\": 1.1\n      }\n    }\n  ],\n  \"items\": [\n    {\n      \"labelOwner\": \"SELLER\",\n      \"msku\": \"string\",\n      \"prepOwner\": \"SELLER\",\n      \"quantity\": 1\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "boxes": [
    [
      "contentInformationSource": "BOX_CONTENT_PROVIDED",
      "dimensions": [
        "height": 1.1,
        "length": 1.1,
        "width": 1.1,
        "unitOfMeasurement": "IN"
      ],
      "quantity": 1,
      "weight": [
        "unit": "LB",
        "value": 1.1
      ]
    ]
  ],
  "items": [
    [
      "labelOwner": "SELLER",
      "msku": "string",
      "prepOwner": "SELLER",
      "quantity": 1
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```